Skip to main content
POST
Create Employee Employment

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Body

application/json
unified_custom_fields
object | null

Custom Unified Fields configured in your StackOne project

Example:
job_title
string | null

The job title of the employee

Example:

"Software Engineer"

pay_rate
string | null

The amount of compensation for the employee

Example:

"40.00"

pay_period
object | null

The time period over which the pay rate is calculated

Example:

"monthly"

pay_frequency
object | null

How often the employee is paid

Example:

"hourly"

pay_currency
string | null

The currency used for pay

Example:

"USD"

effective_date
string<date-time> | null

The effective date of the employment contract

Example:

"2021-01-01T01:01:01.000Z"

end_date
string<date-time> | null

The end date of employment

Example:

"2021-01-01T01:01:01.000Z"

grade
object | null

Represents the employee’s position within the organizational hierarchy.

employment_type
object | null
deprecated

The type of employment (e.g., contractor, permanent)

Example:

"permanent"

employment_contract_type
object | null
deprecated

The employment work schedule type (e.g., full-time, part-time)

Example:

"full_time"

type
object | null

The type of employment

contract_type
object | null

The employment work schedule type

work_time
object | null
payroll_code
string | null

The payroll code of the employee

Example:

"PC1"

job_id
string | null

The employee job id

Example:

"5290"

passthrough
object | null

Value to pass through to the provider

Example:

Response

The employee employment was created successfully.

statusCode
number
required
Example:

201

message
string
required
Example:

"Record created successfully."

timestamp
string<date-time>
required
Example:

"2021-01-01T01:01:01.000Z"

data
object
required